PRODUCT STUDIO
Product Images1 / 1
NETGEAR / PRODUCT DOSSIER
NETGEAR ProSafe FS752TP
NETGEAR ProSafe FS752TP-100EUS Switch
SKU: FS752TP-100EUS
NETGEAR ProSafe FS752TP-100EUS Switch — Switch. Detailed technical specifications, hardware compatibility, and price breakdown.
You can report any missing or inaccurate technical specifications.
Recorded technical parameters and manufacturer data are verified.
NETGEAR ProSafe FS752TP-100EUS Switch
Technical specifications
Recorded specifications are grouped by product category. Missing data does not imply lack of support.
Connection Gateway Mirroring
Yes
Connection Clustering
Yes
Connection Technology
Wired
Maximum Data Transfer Speed
10G support
No
Network Interface
Gigabit Ethernet
Tree Protocol Duration
Yes
DHCP features
Power Over Ethernet Poe Support
Yes
Search IGMP
Yes
Service Quality QoS Support
Yes
Basic Opening Closing RJ 45 Ethernet Input Count
Data Speed
10/100/1000 Mbps
Wi-Fi standards
IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
Communication LED Indicators
Maximum Port Bandwidth
17,6 Gbit/s
SFP/SFP+ port count
4
SFP SFP Port Count
4
Latency Duration
20 ms
Input frequency
50/60 Hz
Upgradable Embedded Software
Yes
MTBF Range
230761 Hours
Security
UL/cUL 60950-1, CE EN 60950-1, CCC, CB
Security Algorithm Supported
802.1x RADIUS, HTTPS
Certificates of Conformity Declarations
Address Table Size
Weight
Dimensions Gxdxy
Web-based management
Yes
Storage Temperature Range Celsius
Power LED
Yes
Akis Control Support
Yes
Key Type
Connection Control List ACL
Yes
Publication Flow Control
Yes
SFP Module Slot Count
Full Two-sided Printing
Yes
Package Cache
Brand
NETGEAR
Category
Network Switches
Product Name
ProSafe FS752TP
GTIN EAN UPC
0606449077711,
Category
Network Switches
Brand
NETGEAR
Product Name
ProSafe FS752TP
Product Series
Sold Markets
NL, BE, GB, SE, HR, IE, BG
Date Added to System
2011-07-30
Production Date
Product Code
FS752TP-100EUS
Speed Limiting
Yes
Stackable
Yes
MIB support
RFC 1213, RFC 1643, RFC 1493
Multicast support
Yes
Verification Method
TACACS+
Backup and Transfer
Yes
®